Subject: 2nd serial port on an Embedded Planet EP862-1.1 board

From: Jan Dominik Baranski <[email-masked]>
Date: Mon, 22 Sep 2003 17:30:55 -0500

Hi all,
I'm attempting to get the second serial port working on an EP862-1.1
board. I see that I need to be concerned with BCSR4 and that the port
can be controlled via SCC1, 2, or 3.
I assume that 'struct serial_state rs_table[]' in arch/ppc/8xx_io/uart.c
needs to be set up correctly, although I'm not quite sure how to go
about doing this.
I know that this board has more BCSR registers than the CLLF, but
everything seems to be correct in arch/ppc/platforms/rpxclassic.h. I
don't have to mess with any memory mappings in arch/ppc/mm/init.c, do I?

Any pointers in the right direction?

Thanks!

-Jan Baranski

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/